$ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$ ! [omni]setup.com
$ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$ !
$ ! Sample DCL command procedure for setting up the environment for running
$ ! and building against omniORB on OpenVMS.
$ !
$ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$ !
$ ! One optional argument (P1) may be passed to override the logical
$ ! name table to use (e.g., LNM$GROUP or LNM$SYSTEM).
$ !
$ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$
$ _self		= f$environment("procedure")
$ _mydevice	= f$parse(_self,,,"device")
$ _mydirectory	= f$parse(_self,,,"directory")
$ _here		= _mydevice+_mydirectory
$ _lnmtable	= p1
$
$ hardware = f$getsyi("arch_name")
$ os_version = f$edit(f$getsyi("version"),"UPCASE,COLLAPSE")
$ os_version = f$extract(1, 1, os_version) + "_" + f$extract(3, 1, os_version)
$ platform = "OpenVMS_" + hardware + "_" + os_version
$
$ _bindir=_here-"]"+".bin."+platform+"]"
$ _libdir=_here-"]"+".lib."+platform+"]"
$ _incdir=_here-"]"+".include]"
$ _scriptsdir=_here-"]"+".bin.scripts]"
$
$ if _lnmtable .nes. ""
$ then
$   dnl = "define/nolog /Table=" + _lnmtable
$ else
$   dnl = "define/nolog"
$ endif
$
$ dnl omniexe '_bindir'
$ dnl omnilib '_libdir'
$ dnl omniinc '_incdir'
$
$ _threadver=3
$ _orbver=4
$
$ dnl OMNICODESETS'_orbver'_RT omnilib:OMNICODESETS'_orbver'_RT.EXE
$ dnl OMNICODESETS'_orbver'_RTD omnilib:OMNICODESETS'_orbver'_RTD.EXE
$ dnl OMNIDYNAMIC'_orbver'_RT omnilib:OMNIDYNAMIC'_orbver'_RT.EXE
$ dnl OMNIDYNAMIC'_orbver'_RTD omnilib:OMNIDYNAMIC'_orbver'_RTD.EXE
$ dnl OMNIORB'_orbver'_RT omnilib:OMNIORB'_orbver'_RT.EXE
$ dnl OMNIORB'_orbver'_RTD omnilib:OMNIORB'_orbver'_RTD.EXE
$ dnl OMNITHREAD'_threadver'_RT omnilib:OMNITHREAD'_threadver'_RT.EXE
$ dnl OMNITHREAD'_threadver'_RTD omnilib:OMNITHREAD'_threadver'_RTD.EXE
$
$ ! Define and execute a path command that will prepend omniexe: to
$ ! the DCL$PATH comma delimited logical name.
$
$ path=="@"+_scriptsdir+"path"
$ path ^omniexe:
